FreeMat

- Main Page
- Related Pages

vtkVolumeRayCastIsosurfaceFunction

Section: Visualization Toolkit Volume Rendering Classes

# Usage

vtkVolumeRayCastIsosurfaceFunction is a volume ray cast function that intersects a ray with an analytic isosurface in a scalar field. The color and shading parameters are defined in the vtkVolumeProperty of the vtkVolume, as well as the interpolation type to use when locating the surface (either a nearest neighbor approach or a tri-linear interpolation approach)

To create an instance of class vtkVolumeRayCastIsosurfaceFunction, simply invoke its constructor as follows

      obj = vtkVolumeRayCastIsosurfaceFunction

# Methods

The class vtkVolumeRayCastIsosurfaceFunction has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkVolumeRayCastIsosurfaceFunction class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkVolumeRayCastIsosurfaceFunction = obj.NewInstance ()`
- `vtkVolumeRayCastIsosurfaceFunction = obj.SafeDownCast (vtkObject o)`
- `float = obj.GetZeroOpacityThreshold (vtkVolume vol)` - Get the scalar value below which all scalar values have 0 opacity
- `obj.SetIsoValue (double )` - Set/Get the value of IsoValue.
- `double = obj.GetIsoValue ()` - Set/Get the value of IsoValue.